AIDA2FLAT(1)

NAME
aida2flat - Convert AIDA data files to a flat format

SYNOPSIS
aida2flat [options] aidafile [aidafile2 ...]

DESCRIPTION
Convert AIDA data files to a flat format which is more human-readable then the XML (and by default also plottable directly using make-plots). The output is by default written out to standard output unless the --split, --smart-output, --gnuplot, or --output options are specified. When specifying either input or output filenames, a '-' is used to refer to stdin or stdout as appropriate.

Histograms can also be filtered by AIDA path, using the -m or -M options for a positive or negative regex pattern patch respectively.

OPTIONS

-h, --help
    show this help message and exit

-o OUTPUT, --output=OUTPUT
    Write all histos to a single output file, rather than the default writing to stdout. stdout can be explicitly specified by setting '-' as the output filename. This option will be disregarded if --split, --smart-output, or --gnuplot is specified.

-s, --split
    Write each histo to a separate output file, with names based on the histo path

-S, --smart-output
    Write to output files with names based on the corresponding input filename. This option will be disregarded if --split is specified.

-g, --gnuplot
    Provide output suitable for Gnuplot's 'plot "foo.dat" with xye'. This option implies --split and will override --output or --smart-output

--plotinfodir=PLOTINFODIR
    directory which may contain plot header information

-m PATHPATTERNS, --match=PATHPATTERNS
    Only write out histograms whose $path/$name string matches these regexes

-M PATHUNPATTERNS, --unmatch=PATHUNPATTERNS
    Exclude histograms whose $path/$name string matches these regexes

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).